%define tarname date2
Summary: a alternative date class for Ruby
Name: ruby-date2
Version: 3.3.2
Release: 1
License: redistributable
Group: Applications/Ruby
Source: http://www.funaba.org/en/archive/%{tarname}-%{version}.tar.gz
URL: http://www.funaba.org/en/ruby.html#date2
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
An alternative date class for Ruby.

%prep
%setup -n %{tarname}-%{version}
ruby install.rb config --prefix=$RPM_BUILD_ROOT/%{_prefix}
ruby install.rb setup

%install
rm -rf $RPM_BUILD_ROOT
ruby install.rb install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc MANUAL* README*
%doc -P sample/

%changelog
* Sun Apr 20 2003 Ian Macdonald <ian@caliban.org>
- 3.3.2

* Sat Jun  8 2002 Ian Macdonald <ian@caliban.org>
- 3.3

* Sat May 18 2002 Ian Macdonald <ian@caliban.org>
- 3.2.1

* Sat May  2 2002 Ian Macdonald <ian@caliban.org>
- 3.0.1

* Sat Apr 27 2002 Ian Macdonald <ian@caliban.org>
- version 3
